Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
SendCloud Portal
Sitecore Send API documentation
  • Introduction to the Sitecore Send API
    • Base URL
    • Authenticate a Sitecore Send API request
    • HTTP methods
    • Request and response parameters
    • HTTP status codes
    • API rate limiting
    • Create an email list and add subscribers
  1. Getting started with the Sitecore Send API
  1. Getting started with the Sitecore Send API
  2. API rate limiting

API rate limiting

The Sitecore Send API enforces rate limiting to prevent the API from being overwhelmed by too many requests. This means that it allows only a certain number of API calls from users within a given time. If a user sends too many requests, API rate limiting can throttle client connections.

The following table describes the current rate limit (number of requests per 10 seconds) per user (per API key):

ResourceMethodEndpoint pathRate limit
Campaign Statistics ActivityGET/campaigns/{CampaignID}/stats/{Type}.{Format}2 calls / 60s
Add subscribersPOST/subscribers/{MailingListID}/subscribe.{Format}10 calls / 10s
Add multiple subscribersPOST/subscribers/{MailingListID}/subscribe_many.{Format}2 calls / 10s
Unsubscribe a subscriber from an accountPOST/subscribers/unsubscribe.{Format}20 calls / 10s
Unsubscribe a subscriber from an email listPOST/subscribers/{MailingListID}/unsubscribe.{Format}20 calls / 10s
Unsubscribe a subscriber from an email list and a campaignPOST/subscribers/{MailingListID}/{CampaignID}/unsubscribe.{Format}20 calls / 10s
Delete a subscriberDELETE/subscribers/{MailingListID}/delete.{Format}40 calls / 10s
Delete multiple subscribersDELETE/subscribers/{MailingListID}/delete_many.{Format}8 calls / 10s
Send a transactional campaignPOST/campaigns/transactional/send.{Format}6 calls / 1s
Manage a transactional campaignPOST/campaigns/transactional/send.{format}500

Example response

The following is an example of a response when request submissions exceed the rate limit. When you go over the rate limit, you receive a RATE_LIMITING error in the response body.

json
{
  "Code": 429,
  "Error": "RATE\_LIMITING",
  "Context": null
}
If you have suggestions for improving this article, let us know!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use